com.pixelmed.dicom

## Class ProjectionXRayImageLibrary.ProjectionXRayImageLibraryEntry

- java.lang.Object
- - com.pixelmed.dicom.ImageLibrary.ImageLibraryEntry
  - - com.pixelmed.dicom.ProjectionXRayImageLibrary.ProjectionXRayImageLibraryEntry

Enclosing class:
  ProjectionXRayImageLibrary

    public static class ProjectionXRayImageLibrary.ProjectionXRayImageLibraryEntry
    extends ImageLibrary.ImageLibraryEntry

### Field Summary

Fields
`protected CodedSequenceItem` `anatomicalStructure`
`protected java.lang.String` `contentDate`
`protected java.lang.String` `contentTime`
`protected java.lang.String` `horizontalPixelSpacingInMM`
`protected CodedSequenceItem` `imageLaterality`
`protected CodedSequenceItem` `imageView`
`protected CodedSequenceItem` `imageViewModifier`
`protected java.lang.String` `patientOrientationColumn`
`protected java.lang.String` `patientOrientationRow`
`protected java.lang.String` `positionerPrimaryAngleInDegrees`
`protected java.lang.String` `positionerSecondaryAngleInDegrees`
`protected java.lang.String` `studyDate`
`protected java.lang.String` `studyTime`
`protected java.lang.String` `verticalPixelSpacingInMM`

### Fields inherited from class com.pixelmed.dicom.ImageLibrary.ImageLibraryEntry

`hierarchicalImageReference`

### Constructor Summary

Constructors
Constructor and Description
`ProjectionXRayImageLibrary.ProjectionXRayImageLibraryEntry(AttributeList list)`
`ProjectionXRayImageLibrary.ProjectionXRayImageLibraryEntry(ContentItemFactory.ImageContentItem imageContentItem, java.util.Map<java.lang.String,HierarchicalSOPInstanceReference> hierarchicalSOPInstanceReferencesIndexedBySOPInstanceUID)`

`ProjectionXRayImageLibrary.ProjectionXRayImageLibraryEntry(HierarchicalImageReference hierarchicalImageReference, CodedSequenceItem anatomicalStructure, CodedSequenceItem imageLaterality, CodedSequenceItem imageView, CodedSequenceItem imageViewModifier, java.lang.String patientOrientationRow, java.lang.String patientOrientationColumn, java.lang.String studyDate, java.lang.String studyTime, java.lang.String contentDate, java.lang.String contentTime, java.lang.String horizontalPixelSpacingInMM, java.lang.String verticalPixelSpacingInMM, java.lang.String positionerPrimaryAngleInDegrees, java.lang.String positionerSecondaryAngleInDegrees)`

### Method Summary

Methods

`protected void`

`constructProjectionXRayImageLibraryEntry(HierarchicalImageReference hierarchicalImageReference, CodedSequenceItem anatomicalStructure, CodedSequenceItem imageLaterality, CodedSequenceItem imageView, CodedSequenceItem imageViewModifier, java.lang.String patientOrientationRow, java.lang.String patientOrientationColumn, java.lang.String studyDate, java.lang.String studyTime, java.lang.String contentDate, java.lang.String contentTime, java.lang.String horizontalPixelSpacingInMM, java.lang.String verticalPixelSpacingInMM, java.lang.String positionerPrimaryAngleInDegrees, java.lang.String positionerSecondaryAngleInDegrees)`

`ContentItem` `getImageContentItem(ContentItemFactory cif, ContentItem parent)`
`CodedSequenceItem` `getImageLaterality()`
`void` `setImageLaterality(CodedSequenceItem imageLaterality)`
`java.lang.String` `toString()`

### Methods inherited from class com.pixelmed.dicom.ImageLibrary.ImageLibraryEntry

`constructImageLibraryEntry`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### anatomicalStructure

    protected CodedSequenceItem anatomicalStructure

#### imageLaterality

    protected CodedSequenceItem imageLaterality

#### imageView

    protected CodedSequenceItem imageView

#### imageViewModifier

    protected CodedSequenceItem imageViewModifier

#### patientOrientationRow

    protected java.lang.String patientOrientationRow

#### patientOrientationColumn

    protected java.lang.String patientOrientationColumn

#### studyDate

    protected java.lang.String studyDate

#### studyTime

    protected java.lang.String studyTime

#### contentDate

    protected java.lang.String contentDate

#### contentTime

    protected java.lang.String contentTime

#### horizontalPixelSpacingInMM

    protected java.lang.String horizontalPixelSpacingInMM

#### verticalPixelSpacingInMM

    protected java.lang.String verticalPixelSpacingInMM

#### positionerPrimaryAngleInDegrees

    protected java.lang.String positionerPrimaryAngleInDegrees

#### positionerSecondaryAngleInDegrees

    protected java.lang.String positionerSecondaryAngleInDegrees

### Constructor Detail

#### ProjectionXRayImageLibrary.ProjectionXRayImageLibraryEntry

    public ProjectionXRayImageLibrary.ProjectionXRayImageLibraryEntry(ContentItemFactory.ImageContentItem imageContentItem,
                                                              java.util.Map<java.lang.String,HierarchicalSOPInstanceReference> hierarchicalSOPInstanceReferencesIndexedBySOPInstanceUID)

#### ProjectionXRayImageLibrary.ProjectionXRayImageLibraryEntry

    public ProjectionXRayImageLibrary.ProjectionXRayImageLibraryEntry(AttributeList list)
                                                               throws DicomException

Throws:
  `DicomException`

#### ProjectionXRayImageLibrary.ProjectionXRayImageLibraryEntry

    public ProjectionXRayImageLibrary.ProjectionXRayImageLibraryEntry(HierarchicalImageReference hierarchicalImageReference,
                                                              CodedSequenceItem anatomicalStructure,
                                                              CodedSequenceItem imageLaterality,
                                                              CodedSequenceItem imageView,
                                                              CodedSequenceItem imageViewModifier,
                                                              java.lang.String patientOrientationRow,
                                                              java.lang.String patientOrientationColumn,
                                                              java.lang.String studyDate,
                                                              java.lang.String studyTime,
                                                              java.lang.String contentDate,
                                                              java.lang.String contentTime,
                                                              java.lang.String horizontalPixelSpacingInMM,
                                                              java.lang.String verticalPixelSpacingInMM,
                                                              java.lang.String positionerPrimaryAngleInDegrees,
                                                              java.lang.String positionerSecondaryAngleInDegrees)

### Method Detail

#### getImageLaterality

    public CodedSequenceItem getImageLaterality()

#### setImageLaterality

    public void setImageLaterality(CodedSequenceItem imageLaterality)

#### constructProjectionXRayImageLibraryEntry

    protected void constructProjectionXRayImageLibraryEntry(HierarchicalImageReference hierarchicalImageReference,
                                                CodedSequenceItem anatomicalStructure,
                                                CodedSequenceItem imageLaterality,
                                                CodedSequenceItem imageView,
                                                CodedSequenceItem imageViewModifier,
                                                java.lang.String patientOrientationRow,
                                                java.lang.String patientOrientationColumn,
                                                java.lang.String studyDate,
                                                java.lang.String studyTime,
                                                java.lang.String contentDate,
                                                java.lang.String contentTime,
                                                java.lang.String horizontalPixelSpacingInMM,
                                                java.lang.String verticalPixelSpacingInMM,
                                                java.lang.String positionerPrimaryAngleInDegrees,
                                                java.lang.String positionerSecondaryAngleInDegrees)

#### getImageContentItem

    public ContentItem getImageContentItem(ContentItemFactory cif,
                                  ContentItem parent)
                                    throws DicomException

Overrides:
  `getImageContentItem` in class `ImageLibrary.ImageLibraryEntry`
Throws:
  `DicomException`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `ImageLibrary.ImageLibraryEntry`